Bug 1783031 - Object references instead of values in Entitlement reports
Summary: Object references instead of values in Entitlement reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Dominik Matoulek
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1805621 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-12 20:54 UTC by Cole Higgins
Modified: 2020-07-02 20:17 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.17-1,foreman-1.24.1.19-1,tfm-rubygem-katello-3.14.0.19-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:39:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
HTML Entitlement report (111.68 KB, image/png)
2019-12-12 20:54 UTC, Cole Higgins
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28627 0 Normal Closed Object references instead of values in generated reports 2020-07-02 18:34:59 UTC
Foreman Issue Tracker 29271 0 Normal Closed Object references instead of values in generated reports 2020-07-02 18:34:59 UTC

Description Cole Higgins 2019-12-12 20:54:31 UTC
Created attachment 1644565 [details]
HTML Entitlement report

Description of problem:
The HTML output format is returning the object itself not the value of the object for Host Collections and Products.


Version-Release number of selected component (if applicable): 
Satellite 6.7 Snap 5


How reproducible:
100%


Steps to Reproduce:
1. Go to monitor -> Report Templates -> Entitlements -> Generate
2. Select the Output format of HTML
3. Click submit and download the report

Actual results: 
Host Collections: 
#<Katello::HostCollection::ActiveRecord_Associations_CollectionProxy:0x0000000021043cd0>


Expected results: The value of the object.


Additional info: This occurs through the UI, CLI, and API.

Comment 3 Ondřej Pražák 2020-01-03 10:01:08 UTC
Created redmine issue https://projects.theforeman.org/issues/28627 from this bug

Comment 4 Ondřej Pražák 2020-02-21 08:32:31 UTC
*** Bug 1805621 has been marked as a duplicate of this bug. ***

Comment 5 Bryan Kearney 2020-03-12 10:09:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28627 has been resolved.

Comment 11 Lukáš Hellebrandt 2020-03-19 15:30:35 UTC
FailedQA with Sat 6.7 snap 16.

Unfortunately, this caused snap-wise (because the report wasn't in 6.6) regression in JSON format. Multiple Host Collections should be (and were) an array:

"Host Collections":["fish","bird"]

After this fix, it's a string with comma-separated names:

"Host Collections":"fish, bird"

Comment 14 Lukáš Hellebrandt 2020-03-26 16:12:46 UTC
Verified with Sat 6.7 snap 17.

The original bug is fixed and issue described in comment 11 is fixed as well.

During verification, I discovered similar issue as in OP: in Registered Hosts report in HTML format, Subscriptions are printed as an object referrence. Reporting a standalone BZ about this issue.

Comment 15 Lukáš Hellebrandt 2020-03-26 16:16:46 UTC
^ bug 1817617

Comment 16 Bryan Kearney 2020-04-14 13:39:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.